/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 21 March 2023, 9:21 AM
 */

#include "assets/config/config_words.h"
#define _XTAL_FREQ  8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/lm75/LM75.h"
#include "assets/ht16k33/ht16k33.h"
//------------------------------------------------------------------------------
char strNum[10];
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    OSCCON =  0x70;       // set internal mcu oscillator to 8MHz (Optional)
    
    ht16k33_init();
    LM75_init();

    while(1)
    { 
      signed int tempr = (signed int) LM75_read(TEMPERATURE_ADDRESS);
      
      sprintf(strNum,"%4i",tempr);
      ht16k33_display(strNum);
    }

    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------